using System.Collections;
using System;
using System.Linq;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Experimental.Rendering;
using UnityEngine.Rendering;
public class Support : MonoBehaviour
{

    public void Start()
    {
        ReadbackSupport();
    }
    public void ReadbackSupport()
    {
        var read_formats = System.Enum.GetValues(typeof(GraphicsFormat)).Cast<GraphicsFormat>().Where(f => SystemInfo.IsFormatSupported(f, FormatUsage.ReadPixels));
        Debug.Log(string.Join("\n", read_formats));
    }
}